Name:           python-tomli
Version:        2.0.1
Release:        2
Summary:        A little TOML parser for Python
License:        MIT
URL:            https://pypi.org/project/tomli/
Source0:        https://github.com/hukkin/tomli/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-dateutil

%global _description %{expand:
Tomli is a Python library for parsing TOML.
Tomli is fully compatible with TOML v1.0.0.}

%description %_description

%package -n python3-tomli
Summary:        %{summary}
Provides:       python%{python3_pkgversion}dist(tomli) = %{version}
Provides:       python%{python3_version}dist(tomli) = %{version}

%description -n python3-tomli %_description

%prep
%autosetup -p1 -n tomli-%{version}

%build
%global distinfo tomli-%{version}+rpmbootstrap.dist-info
cp -rf src/tomli .
mkdir %{distinfo}
cat > %{distinfo}/METADATA << EOF
Metadata-Version: 2.2
Name: tomli
Version: %{version}+rpmbootstrap
EOF

%install
mkdir -p %{buildroot}%{python3_sitelib}
cp -a tomli %{distinfo} %{buildroot}%{python3_sitelib}
echo '%{python3_sitelib}/tomli/' > %{pyproject_files}
echo '%{python3_sitelib}/%{distinfo}/' >> %{pyproject_files}

%check
export PYTHONPATH=. && pytest

%files -n python3-tomli -f %{pyproject_files}
%doc README.md
%doc CHANGELOG.md
%license LICENSE

%changelog
* Fri Aug 05 2022 OpenStack_SIG <openstack@openeuler.org> - 2.0.1-2
- Fix the python3.10(dist) dependence

* Sat Jun 04 2022 OpenStack_SIG <openstack@openeuler.org> - 2.0.1-1
- Upgrade python3-tomli to version 2.0.1

* Tue Mar 1 2022 zhangy <zhangy1317@foxmai.com> - 2.0.0
- Init packages
